package cz.muni.fi.pa165.core.user.roles;

import cz.muni.fi.pa165.core.house.House;
import jakarta.persistence.Entity;
import jakarta.persistence.ManyToOne;
import jakarta.persistence.Table;
import lombok.*;

@Getter
@Setter
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Table(name = "domain_owner")
public class OwnerRole extends Role{
    @ManyToOne
    public House house;
}
