package cz.muni.fi.pa165.core.user.roles;

import cz.muni.fi.pa165.core.common.DomainMapper;
import cz.muni.fi.pa165.core.smartmeter.SmartMeter;
import cz.muni.fi.pa165.model.dto.role.RoleDto;
import cz.muni.fi.pa165.model.dto.role.RoleCreateDto;
import cz.muni.fi.pa165.model.dto.role.RoleUpdateDto;
import cz.muni.fi.pa165.model.dto.smartDevice.SmartMeterCreateDto;
import cz.muni.fi.pa165.model.dto.smartDevice.SmartMeterDto;
import org.mapstruct.Mapping;

import java.util.List;

public interface RoleMapper extends DomainMapper<Role, RoleDto, RoleCreateDto, RoleUpdateDto> {
    /*
    @Mapping(source = "deviceDto", target = "device")
    SmartMeter fromCreateDto(SmartMeterCreateDto dto);

    //@Mapping(source = "deviceDto", target = "device")
    //SmartMeter fromUpdateDto(SmartMeterUpdateDto dto);

    @Mapping(source = "roleDto", target = "role")
    SmartMeter fromDto(SmartMeterDto dto);

    @Mapping(source = "device", target = "deviceDto")
    SmartMeterDto toDto(SmartMeter entity);

    /*@Mapping(source = "device", target = "deviceDto")
    List<SmartMeterDto> toDtoList(List<SmartMeter> entities);*/
}
